Bug 206490 - s-c-d won't create dual head when desktop effects turned on
s-c-d won't create dual head when desktop effects turned on
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 13:49 EDT by Clyde E. Kunkel
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2006-09-14 13:49:14 EDT
Description of problem:
With desktop effects enabled, trying to setup dual-head with two radeon 9200
cards fails with traceback and error: UnboundLocalError: local variable 'model'
referenced before assignment


Version-Release number of selected component (if applicable):
# rpm -q system-config-display
system-config-display-1.0.44-1

How reproducible:
Only when desktop effects active

Steps to Reproduce:
1. Enable desktop effects
2. as root in a terminal: system-config-display
3. select dual head, configure and click ok
  
Actual results:
 clicking ok doesn't do anything except show traceback in terminal display

Expected results:
 working dual head

Additional info:

Turning off desktop effects allows me to create a working dual head (after
manual modification of xorg.conf, see bz 203250).  HOWEVER, cannot activate
desktop effects when in dual head mode, system freezes, no keyboard, no mouse,
have to reset/restart--maybe this should be a separate BZ?

Here is traceback:
[root@P4C800Deluxe ~]# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 125, in ok
    self.second_monitor_model, self.second_monitor_vrefresh,
self.second_monitor_hsync =
self.second_monitor_dialog.dehydrate_second_monitor(self.state)
  File "/usr/share/system-config-display/monitorDialog.py", line 213, in
dehydrate_second_monitor
    return model, vsync, hsync
UnboundLocalError: local variable 'model' referenced before assignment

System is ASUS P4C800 Deluxe with AGP radeon 9200, PCI radeon 9200SE, Viewsonic
P225f on the 9200 and Princeton LCD on 9200SE.
Comment 1 Matthew Miller 2007-04-06 14:41:19 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Clyde E. Kunkel 2007-04-06 16:02:18 EDT
I cannot test/verify this as I no longer have the dual head setup and will not
for the foreseeable future.  Sorry.
Comment 3 Adam Jackson 2007-05-26 15:09:17 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.